0 Пользователей и 1 Гость просматривают эту тему.
  • 113 Ответов
  • 43020 Просмотров
*

*Natalie*

  • Осваиваюсь на форуме
  • 15
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #90 : 04.11.2011, 10:09:11 »
Кстати, для тех кто испытывает затруднения в установке, ввиду большого веса компонента (около 1,5 мб). Закачайте по  ftp в папку /имя сайта/tmp разархивированную папку компонента и ведите установку уже оттуда. Во всяком случае мне так помогло.
А мне, к сожалению, и это не помогло.
Где копать?
*

*Natalie*

  • Осваиваюсь на форуме
  • 15
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #91 : 04.11.2011, 10:48:52 »
Всё снесла. Попробовала установить другую версию этой галереи (2.7.1).
Она тоже установилась через ftp, но точно так же не может создать категорию.
« Последнее редактирование: 04.11.2011, 15:17:55 от *Natalie* »
*

*Natalie*

  • Осваиваюсь на форуме
  • 15
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #92 : 04.11.2011, 18:38:27 »
Если копирую в папку tmp на сервере и туда заливаю установочный архив,
например этот http://phoca.cz/download/category/1-phoca-gallery-component
и указываю при установке через административную панель
взять из папки установки: /home/***/docs/tmp (стоит по умолчанию, туда и залила по ftp архив)
Пишет "Ошибка! Установочный XML-файл не найден в пакете
По данному пути корректный пакет не найден".
Это что?
*

*Natalie*

  • Осваиваюсь на форуме
  • 15
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #93 : 04.11.2011, 20:06:36 »
Перечитала тут старые темы - проблема-то годами продолжается...
Неужели нет никакой четкой инструкции?

Я всё на хостера думаю (на другом-то хосте нормально установился компонент и категории создает...)
Посмотрите, пожалуйста, кто понимает в системной информации:

хостинг nic.ru
Версия MySQL:  5.1.41-log 
Сравнение БД:  utf8_general_ci 
Версия PHP:  5.2.10 
Веб-сервер:  Apache/1.3.37 (Unix) PHP/5.2.10 
Интерфейс веб-сервер -> PHP:  apache 
Версия Joomla:  Joomla! 1.5.24 Stable [ senu takaa ama naiki ] 17-October-2011 18:00 GMT

Phoca Gallery пробовала ставить разных релизов.

Написала бы хостеру, но я просто не знаю, что у них спросить.
В лог-файле ничего нет, при попытке загрузить компонент - белый экран, при установке через ftp - не создает категорию...
*

*Natalie*

  • Осваиваюсь на форуме
  • 15
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #94 : 04.11.2011, 22:17:14 »
Танец с бубнами какой-то.
У меня наконец-то встала эта галерея. Версия 2.7.1.
Через ftp, с 20-го раза.
Никаких сверх настроек не делала, чтобы понять - почему раньше не ставилась,
а сейчас встала и (о, чудо!) создала категорию ^-^
Вот чего я теперь поостерегусь делать - так это обновлять этот компонент.
Как говорится:  "Лучшее - враг хорошего".
***
- Папа, а почему солнце всходит?
Папа, не отрываясь от компа и почесывая трехдневную щетину:
- Сынок, это работает? Прошу тебя, только ничего не трогай!

Ну и спасибо, что помогли! ;)
*

Roman Petrenko

  • Moderator
  • 438
  • 61 / 0
  • Дизайн без секретов
Re: Не могу установить PhocaGallery
« Ответ #95 : 10.11.2011, 15:00:38 »
Если не может создавать категории, то это ограничение прав у фтп-пользователя, пользователя баз данных или  админа Joomla. Скорее всего всего пользователь апача имеет исключительные права на папки. Кроме того нет гарантии, что во время заливки не были испорчены файлы. Лучше на хост заливать архив компонента и там устанавливать через путь в папке.
*

AdmDiks

  • Новичок
  • 3
  • 1 / 0
Re: Не могу установить PhocaGallery
« Ответ #96 : 04.12.2011, 18:21:15 »
Таблицы в базе не создаются при установке у этого производителя :)
*

gluc

  • Новичок
  • 7
  • 2 / 0
Re: Не могу установить PhocaGallery
« Ответ #97 : 19.12.2011, 15:48:43 »
СПАСИБО :D :D :D
*

Oegir

  • Осваиваюсь на форуме
  • 10
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #98 : 09.01.2012, 15:27:20 »
Не знаю, можно ли было сделать проще, но в итоге с помощью MyAdmin, я по одному вручную запустил все запросы из файла пакета 'install.bak.sql', естественно предварительно подставив нужный префикс.
Версия галереи 3.1.1
PS: Также пришлось выполнить запрос:
Код
ALTER TABLE `#__phocagallery` ADD `access` tinyint(3) UNSIGNED NOT NULL default 0 AFTER `language`
« Последнее редактирование: 09.01.2012, 16:19:35 от Oegir »
*

No_Swear

  • Новичок
  • 3
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #99 : 12.01.2012, 16:19:56 »
установил PhocaGallery 3.0.2 на Joomla 1.7.2 и в панели управления галереи в категориях выдает две ошибки вида Warning: mysqli_num_rows() expects parameter 1 to be mysqli_result, boolean given in /home/u224403640/public_html/libraries/joomla/database/database/mysqli.php on line 305.
три такие же ошибки в изображениях.
Базы данных проверил, все на месте. Не могу найти причину, помогите.
*

Roman Petrenko

  • Moderator
  • 438
  • 61 / 0
  • Дизайн без секретов
Re: Не могу установить PhocaGallery
« Ответ #100 : 12.01.2012, 19:19:52 »
установил PhocaGallery 3.0.2 на Joomla 1.7.2 и в панели управления галереи в категориях выдает две ошибки вида Warning: mysqli_num_rows() expects parameter 1 to be mysqli_result, boolean given in /home/u224403640/public_html/libraries/joomla/database/database/mysqli.php on line 305.
три такие же ошибки в изображениях.
Базы данных проверил, все на месте. Не могу найти причину, помогите.

А у вас точно серевер баз данных mysqli, а не  mysql? По идее нужен mysqli. Если это не так то нужно преобразовать его. На всякий случай обновите Joomla до 1.7.3. Судя по тексту ошибки не может получить количество рядов из таблицы. Может в какой-то из таблиц фоки не хватает полей.
*

No_Swear

  • Новичок
  • 3
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #101 : 12.01.2012, 19:59:48 »
понял, спасибо. у меня mysql сервер. буду искать другую фотогалерею
*

No_Swear

  • Новичок
  • 3
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #102 : 12.01.2012, 21:32:05 »
поставил себе Datso Gallery, вполне доволен))

Re: Не могу установить PhocaGallery
« Ответ #103 : 17.04.2012, 08:49:52 »
Вариант решения для: Сохранить не удалось из-за ошибки: Изображение должно иметь заголовок

Если у Вас при добавлении новой категории в PhocaGallery возникает "Ошибка при сохранении категории Phoca Gallery", то Вам поможет следующее:

Удаляем полностью компонент PhocaGallery.

Устанавливаем и после появления окошка "компонент установлен удачно" жмем на одну из двух кнопок, а именно на "INSTALL".

ПЫ.СЫ.: Вариант найден в сети и опробован на себе. Помогло.
*

proandrey

  • Захожу иногда
  • 85
  • 1 / 0
Re: Не могу установить PhocaGallery
« Ответ #104 : 23.10.2012, 01:32:41 »
bybyka, спасибо, а то я уже запарился на одном сайте - не хотел добавлять категорию
ваш метод помог
*

siwizard

  • Новичок
  • 4
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #105 : 02.01.2013, 18:29:45 »
bybyka, спасибо! Помогло!
*

adam4ik

  • Новичок
  • 4
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #106 : 04.08.2013, 12:56:50 »
bybyka, БЛАГОДАРОЧКА! Все гениальное просто!
*

askaev

  • Осваиваюсь на форуме
  • 14
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #107 : 25.10.2013, 09:47:19 »
скачал zip-архив Phoca_Gallery_j3.0.zip Версия:4.0.1 с сайта http://service-joomla.ru/komponenty/item/96-phoca-gallery.html
пытаюсь установить, но выдаёт ошибку: "JInstaller: :Install: Не удалось найти XML-файл установки"

скачал версию 4.0.2 с оф.сайта. Всё получилось...
*

akhalex38

  • Захожу иногда
  • 171
  • 1 / 0
Re: Не могу установить PhocaGallery
« Ответ #108 : 07.04.2015, 23:32:07 »
установил PhocaGallery 3.0.2 на Joomla 1.7.2 и в панели управления галереи в категориях выдает две ошибки вида Warning: mysqli_num_rows() expects parameter 1 to be mysqli_result, boolean given in /home/u224403640/public_html/libraries/joomla/database/database/mysqli.php on line 305.
три такие же ошибки в изображениях.
Базы данных проверил, все на месте. Не могу найти причину, помогите.
После установки компонента, не спешите покидать страницу. Там есть кнопка Install. Yажмите его. Мне помогло
*

Mih77

  • Новичок
  • 2
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #109 : 16.09.2015, 21:55:42 »
Никак не могу установить компонент.
Joomla! 3.4.4
С официального сайта http://www.phoca.cz/download/category/1-phoca-gallery-component скачал версию компонента 4.2.1 для 3-х джумл.
При попытке установки система отвечает так:
Цитировать
Ошибка
Ошибка загрузки файла на сервер
Ограничение на объем загружаемых файлов
Невозможно найти установочный пакет

Смеху ради попробовал установить версию компонента 3.2.8 для ранних версий Joomla. Установилась без проблем, правда, не работает (но это, вероятно, по причине несоответствия версий). Сравнил обе версии. В 3.2.8 в корневой папке есть шмат установочных файлов - install.phocagallery.php, install.sql, install.bak.sql. В 4.2.1 файлов с такими названиями нет ни в корневой, ни в каких других папках.
А плагин установился без проблем.

Что же делать, как же установить компонент?
*

Olg

  • Завсегдатай
  • 1132
  • 83 / 2
Re: Не могу установить PhocaGallery
« Ответ #110 : 17.09.2015, 09:09:26 »
Цитировать
Ограничение на объем загружаемых файлов
Увеличьте нижний предел на объём загружаемых файлов. :)
*

Mih77

  • Новичок
  • 2
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #111 : 17.09.2015, 11:07:49 »
Увеличьте нижний предел на объём загружаемых файлов. :)
Всё получилось. Спасибо!
« Последнее редактирование: 17.09.2015, 11:29:53 от Mih77 »
*

Zolushka

  • Осваиваюсь на форуме
  • 29
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #112 : 25.01.2018, 09:46:01 »
Здравствуйте))) у меня вообщем такая то проблемка. Установила все нормально, база создана, категория тоже, фото добавлении. А в материале не появляется. Нашла вот такое на Google -{phocagallery view=category|categoryid=1|detail=5|displaydownload=0|displaydetail=0|displayname=1|[/size]displaybuttons=1|displaydescription=0}  - может где то что-то нужно включить?[/size]

И в списке Плагинов его нет.
« Последнее редактирование: 25.01.2018, 09:57:35 от Zolushka »
*

Zolushka

  • Осваиваюсь на форуме
  • 29
  • 0 / 0
Re: Не могу установить PhocaGallery
« Ответ #113 : 25.01.2018, 10:16:01 »
Здравствуйте)))...
Я решила проблему! ^-^







Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Phoca и Google

Автор Alex_gs

Ответов: 0
Просмотров: 168
Последний ответ 15.02.2021, 15:37:57
от Alex_gs
PhocaGallery: Не могу добавить фотографии: вылетает на страницу управления

Автор rolteknick

Ответов: 0
Просмотров: 701
Последний ответ 17.09.2019, 14:38:38
от rolteknick
Phoca Galley. Как при выводе родительской категории отобразить изображения всех дочерних категорий?

Автор Igoritaly

Ответов: 0
Просмотров: 1354
Последний ответ 15.04.2017, 19:05:50
от Igoritaly
Phoca gallery

Автор user

Ответов: 387
Просмотров: 114555
Последний ответ 09.12.2015, 21:00:16
от demyan
Можно ли как-то установить разный вид детального окна для фото и видео?

Автор demyan

Ответов: 0
Просмотров: 900
Последний ответ 09.12.2015, 15:57:49
от demyan